JaxbHibernateMapping.JaxbDatabaseObject (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbHibernateMapping.JaxbDatabaseObject

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbHibernateMapping.JaxbDatabaseObject

Enclosing class:
  JaxbHibernateMapping

    public static class JaxbHibernateMapping.JaxbDatabaseObject

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="definition">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <attribute name="class" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <sequence>
                 <element name="create" type="{http://www.w3.org/2001/XMLSchema}string"/>
                 <element name="drop" type="{http://www.w3.org/2001/XMLSchema}string"/>
               </sequence>
             </choice>
             <element name="dialect-scope" maxOccurs="unbounded" minOccurs="0">
               <complexType>
                 <simpleContent>
                   <extension base="<http://www.w3.org/2001/XMLSchema>string">
                     <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                   </extension>
                 </simpleContent>
               </complexType>
             </element>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Nested Class Summary
`static class` | `JaxbHibernateMapping.JaxbDatabaseObject.JaxbDefinition` Java class for anonymous complex type.
`static class` | `JaxbHibernateMapping.JaxbDatabaseObject.JaxbDialectScope` Java class for anonymous complex type.

Field Summary
`protected String` | `create`
`protected JaxbHibernateMapping.JaxbDatabaseObject.JaxbDefinition` | `definition`
`protected List<JaxbHibernateMapping.JaxbDatabaseObject.JaxbDialectScope>` | `dialectScope`
`protected String` | `drop`

Constructor Summary
`JaxbHibernateMapping.JaxbDatabaseObject()`

Method Summary
`String` | `getCreate()` Gets the value of the create property.
`JaxbHibernateMapping.JaxbDatabaseObject.JaxbDefinition` | `getDefinition()` Gets the value of the definition property.
`List<JaxbHibernateMapping.JaxbDatabaseObject.JaxbDialectScope>` | `getDialectScope()` Gets the value of the dialectScope property.
`String` | `getDrop()` Gets the value of the drop property.
`void` | `setCreate(String value)` Sets the value of the create property.
`void` | `setDefinition(JaxbHibernateMapping.JaxbDatabaseObject.JaxbDefinition value)` Sets the value of the definition property.
`void` | `setDrop(String value)` Sets the value of the drop property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### definition

    protected JaxbHibernateMapping.JaxbDatabaseObject.JaxbDefinition definition

### create

    protected String create

### drop

    protected String drop

### dialectScope

    protected List<JaxbHibernateMapping.JaxbDatabaseObject.JaxbDialectScope> dialectScope

Constructor Detail

### JaxbHibernateMapping.JaxbDatabaseObject

    public JaxbHibernateMapping.JaxbDatabaseObject()

Method Detail

### getDefinition

    public JaxbHibernateMapping.JaxbDatabaseObject.JaxbDefinition getDefinition()

  Gets the value of the definition property.

  Returns:
    possible object is `JaxbHibernateMapping.JaxbDatabaseObject.JaxbDefinition`

### setDefinition

    public void setDefinition(JaxbHibernateMapping.JaxbDatabaseObject.JaxbDefinition value)

  Sets the value of the definition property.

  Parameters:
    `value` - allowed object is `JaxbHibernateMapping.JaxbDatabaseObject.JaxbDefinition`

### getCreate

    public String getCreate()

  Gets the value of the create property.

  Returns:
    possible object is `String`

### setCreate

    public void setCreate(String value)

  Sets the value of the create property.

  Parameters:
    `value` - allowed object is `String`

### getDrop

    public String getDrop()

  Gets the value of the drop property.

  Returns:
    possible object is `String`

### setDrop

    public void setDrop(String value)

  Sets the value of the drop property.

  Parameters:
    `value` - allowed object is `String`

### getDialectScope

    public List<JaxbHibernateMapping.JaxbDatabaseObject.JaxbDialectScope> getDialectScope()

  Gets the value of the dialectScope property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the dialectScope property.

  For example, to add a new item, do as follows:

          getDialectScope().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbHibernateMapping.JaxbDatabaseObject.JaxbDialectScope`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.